Skip to main content
GET
/
billing
Get billing config
curl --request GET \
  --url https://api.interchange.io/api/v2/storefront/billing \
  --header 'Authorization: Bearer <token>'
{
  "billing": {
    "stripeConnectedAccountId": "<string>",
    "onboardingStatus": "pending",
    "platformFeePercent": 123,
    "fees": [
      {
        "name": "<string>",
        "feePercent": 50,
        "description": "<string>"
      }
    ],
    "currency": "<string>",
    "defaultNetDays": 123,
    "inherited": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.interchange.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key or access token

Response

Get billing config

billing
object
required

Storefront billing configuration. Storefront billing setup is optional. Connect Stripe so Scope3 can handle consolidated payment processing — otherwise your sales agent will be limited to external agreements only and you will bill the buyer directly.